### Method

# Camel CipherValidity get_certinfo_property

since: 3.22

#### Declaration [src]

    gpointer
    camel_cipher_validity_get_certinfo_property (
      CamelCipherValidity* vin,
      CamelCipherValidityMode mode,
      gint info_index,
      const gchar* name
    )

#### Description [src]

Gets a named property `name` value for the given `info_index` of the `mode` validity part.

Available since: 3.22

#### Parameters

`mode`

  Type: `CamelCipherValidityMode`

  Which cipher validity part to use.

`info_index`

  Type: `gint`

  A 0-based index of the requested `CamelCipherCertInfo`.

`name`

  Type: `const gchar*`

  A property name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gpointer`

Value of a named property of a `CamelCipherCertInfo`, or `NULL` when no such property exists. The returned value is owned by the associated `CamelCipherCertInfo` and is valid until the cert info is freed.

The returned data is owned by the instance.
The return value can be `NULL`.